Subject: Re: bug#40123: glibc-locales: links missing in root user profile

From: david larsson <[email-masked]>
Date: Thu, 19 Mar 2020 11:36:27 +0100

On 2020-03-19 02:26, Leo Famulari wrote:
> On Wed, Mar 18, 2020 at 09:47:39PM +0100, david larsson wrote:
>> Not so fast! I just did the same yesterday using the install-script 
>> but on a
>> RedHat server, and my /root/.config/guix/current pointed at
>> /var/guix/profiles/per-user/MYOTHERUSER/current-guix instead of
>> /var/guix-profiles/per-user/root/current-guix which it should be 
>> pointing
>> at! I also think this is related to
>> https://lists.gnu.org/archive/html/bug-guix/2020-01/msg00241.html
> 
> That's not good.
> 
> To clarify, did you only run the installer script here? And made no
> manual changes related to Guix?

I probably also did something I shouldn't have with sudo or guix pull -p 
after running the guix-install.sh script, but I don't know for sure. If 
I had the time I would have rerun the script etc, to verify the output 
of ls -la ~/.config/guix/current directly after guix-install.sh and 
after guix pull etc, and check similar things as was checked here: 
https://issues.guix.gnu.org/issue/36785

> 
> I assume it was the GNU Guix 1.0.1 binary for x86_64 from here?
> 
> https://guix.gnu.org/download/

My root user's guix pull -l shows Guix 1.0.1 as first generation, and 
the install script uses https://ftp.gnu.org/gnu/guix, but yes it is 
probably the same.